import "./index.less";
import util from "../utils/util.js";
import List from '../components/list/List';
import Item from '../components/item/Item';
import Slider from '../components/slider/Slider';
import Button from '../components/button/Button';
let Page = React.createClass({
    displayName: 'Page',
    data : {

    },
    listConfig : {
        tabList : [
            {
                id : 0 ,
                name : '衣服' ,
                icon : '//gw.alicdn.com/tps/TB1DVVJJVXXXXaDXXXXXXXXXXXX-30-30.png',
            },
            {
                id : 1,
                name : '裤子' ,
            },
            {
                id : 2,
                name : '鞋子' ,
                icon:'//gw.alicdn.com/tps/TB1.rVxJVXXXXccXpXXXXXXXXXX-30-30.png',
            },
            {
                id : 3,
                name : '袜子' ,
                icon : '//gw.alicdn.com/tps/TB1.zw8JFXXXXcbaXXXXXXXXXXX-30-30.png',
            }
        ],
        get(tab , pageNumber , suc , fail){
            let requestData = {
                from : 1 ,
                pageNumber : pageNumber ,
            }
            if(tab){
                requestData.keyword = tab.name;
            }

            lib.mtop.H5Request({
                api : 'com.taobao.idle.user.my.order',
                v : '1.0',
                ecode : 1 ,
                data : requestData
            } , suc, fail);
        },
        getList(json){
            let list = [];
            for(let i=0; i<json.data.items.length; i++){
                let item = json.data.items[i];
                for(let j=0; j<item.orders.length; j++){
                    item.orders[j].archive = item.archive;
                }
                list = list.concat(item.orders);
            }
            return list;

        },
        fail(json){
            if(!util.login.checkLogin(json)){
                return;
            }
            console.log(json);
        },
        renderItem(item){
            return (<Item item={item} />);
        },
        noneText : '没有就是没有哈',
    },
    sliderList : [
        {
            pic : 'https://gw.alicdn.com/tps/TB1KgpgLXXXXXaoaFXXXXXXXXXX-750-320.jpg'
        },
        {
            pic : 'https://gw.alicdn.com/tps/TB1YhFKLXXXXXaKXpXXXXXXXXXX-750-500.jpg'
        },
        {
            pic : 'https://gw.alicdn.com/tps/TB11xdmLXXXXXaRapXXXXXXXXXX-750-500.jpg'
        }
    ],
    getData(index , cat){
    } ,
    getInitialState(){
        return {
            tab : {}
        };
    },
    componentDidMount(){
    },
    componentWillUnmount(){
    },
    render(){
        return (
            <div>
                <Slider list={this.sliderList} />
                <List config={this.listConfig} />
                <Button />
            </div>
        )
    }
});

React.render(
    <Page />,
    document.getElementById('content')
);

