### 我们为什么要使用reactjs 
* 模块化    
    
* jsx   
    我们知道，前端其实并没有一个好的模板语言，从后端拿到数据后，不管是拼字符串，又或者使用mustache，art等模块引擎，总是让人觉得代码不够优雅。jsx，让JS与HTML混编成为可能，完美的解决了前端模板问题
* 数据单向绑定   
    将数据绑定在DOM上，只需要修改数据，无需修改DOM
* 虚拟DOM   
    React所谓的 dom diff ，能够实现delta级别的dom更新。当有数据变动导致DOM变动时，React不是全局刷新，而是通过它内部的 dom diff 算法计算出不同点，然后以最小粒度进行更新。
* 开发效率   
    没错，这是我们使用reactjs的最最最最主要的原因啦。

### 但是，仅仅有了reactjs就够了吗？

* 你是否在每次项目开始阶段都要从现有的项目中拷贝并修改一些文件来搭建一个项目框架
* 团队合作开发时，你清楚文件名，目录名，目录结构的命名规范吗？你会按照规范来创建文件吗
* 每个页面会有很多模块，每个模块又会包含多个文件，你需要手动创建他们，并拷贝基础的代码，然后将其链接到页面吗

### 你应该学会说NO
现在请尝试使用我们闲鱼自己的ali-reactjs 脚手架，他不能提升你页面的性能，但却能提高你的开发效率，你无需关注于规范，却能让你的团队形成统一的规范。
* 安装下载请移步gitlab              http://gitlab.alibaba-inc.com/mtb/ali-reactjs
* 当然你也可以到npm官网去      https://www.npmjs.com/package/ali-reactjs