import './Item.less';
import util from "../../utils/util.js";
let component = React.createClass({
    displayName: 'Item',
    getInitialState(){
        return {
        };
    },
    componentDidMount(){},
    componentDidUpdate(){},
    componentWillUpdate(){},
    componentWillUnmount(){},
    go(item){
        let param = [
            'orderId=' + item.id ,
            'archive=' + item.archive,
            'picUrl=' + encodeURIComponent(item.picUrl) ,
            'title=' + encodeURIComponent(item.title) , 
            'price=' + encodeURIComponent(item.price) ,
            'soldPrice=' + encodeURIComponent(item.soldPrice) ,
            'num=' + item.num ,

        ];
        util.link.openWindow('sold.htm?' + param.join('&'));
        goldlog.record('/tbershou.2016711.201671104','','','H47849883');
    },
    render(){
        let self = this;
        let item  = this.props.item;
        return (
            <div className='Item'>
                <div className='b'>
                    <div className='pic'>
                        <img src={util.img.getXz(item.picUrl , 320)} />
                    </div>
                    <div className='info'>
                        <div className='title'>{item.title}</div>
                        <div className='p1'>
                            <span className='label'>买入价</span><span className='fg'>￥</span><span>{item.price}</span>
                        </div>
                        <div className='p2'>
                            <div className='p21'>
                                <span>现在卖</span><span>还能换</span>
                            </div>
                            <div className='p22'>
                                ￥{item.soldPrice}
                            </div>
                        </div>
                        {
                            item.status == 0 
                            ?
                            (
                                <div className='btn' onClick={this.go.bind(null , item)} > 卖了换钱 </div>
                            )
                            :
                            (
                                <div className='btn finish' > 正在转卖 </div>
                            )
                        }

                        
                    </div>
                </div>
            </div>
        )
    }
});
module.exports = component;



