import './List.less';
import Tab from '../tab/Tab';
import util from '../../utils/util.js';
let component = React.createClass({
    displayName: 'List',
    data : {
        pageNumber : 1 ,
        loading : false ,
        tab : {}
    },
    tabData:{} ,
    config : {
        tabList : [] ,
        //获取数据
        get(pageNumber ){

        },
        //成功回调
        getList(json){

        },
        //失败回调
        fail(json){

        },
        //是否有下一页
        hasNext(json){
            return json.data.nextPage + '' == 'true';
        },
        
        //render节点
        renderItem(item){

        },
        //为空的文案
        noneText : '没有找到宝贝',
    },
    getData(tab , pageNumber){
        
        let self = this;
        if(self.data.loading){
            return;
        
        }
        self.data.loading = true;
        if(pageNumber == 1){
            util.dialog.wait();
        }

        self.config.get(tab , pageNumber , function(json){
            console.log(json);
            util.dialog.waitEnd();
            let list = self.config.getList(json);
            let loadingState = 0;
            if(self.data.pageNumber == 1 && list.length == 0){
                loadingState = -1;
            }
            else if(self.config.hasNext(json)){
                self.data.pageNumber ++;
                self.data.loading = false;
                loadingState = 1;
            }
            else if(self.data.pageNumber > 1 || !list.length == 0){
                loadingState = 2;
            }
            self.setState({
                list : self.state.list.concat(list) , 
                loadingState : loadingState
            });
        } , function(json){
            self.data.loading = false;
            util.dialog.waitEnd();
            self.config.fail(json);
        });
    },
    getInitialState(){
        return {
            loadingState : 0 ,
            list : [],
        };
    },
    componentDidMount(){
        let self = this;
        this.config = util.tool.extend(this.config , this.props.config);
        let tab = this.config.tabList[0]

        self.data.tab = this.config.tabList[0];
        self.getData(self.data.tab , 1);
        window.onscroll = function(e){
            var t = document.querySelector('html').clientHeight || 700 * window.dpr;
            t += 800 * window.dpr;
            if(document.body.clientHeight - t < document.body.scrollTop){
                self.getData(self.data.tab , self.data.pageNumber);
            }   
        }
    },
    componentDidUpdate(){
    },
    componentWillUpdate(){},
    componentWillUnmount(){},
    changeTab : function(tab){
        let self = this;
        //把旧状态保存
        this.tabData[this.data.tab.id] = {
            data : this.data , 
            state : this.state ,
            scrollTop : document.body.scrollTop
        }
        let json = this.tabData[tab.id];
        if(json){
            this.data = json.data;
            $('.List').css('visibility' , 'hidden');
            this.setState(json.state);
            let scrollTop = json.scrollTop;
            setTimeout(function(){
                document.body.scrollTop = scrollTop;
                $('.List').css('visibility' , 'visible');
            } , 100);
        }
        else{
            this.data={
                pageNumber : 1 ,
                loading : false ,
                tab : tab
            };
            this.setState({
                list : [],
                loadingState : 0
            })
            this.getData(this.data.tab , this.data.pageNumber);
            document.body.scrollTop = 0;
        }
        
    },

    renderLoading(loadingState){
        if(loadingState == 1){
            return (
                <div className='loading-more'>
                    <span>&#xe600;</span> <span>加载中</span> <span>&#xe601;</span>
                </div>
            );
        }
        else if(loadingState == 2){
            return (
                <div className='loading-finish'>
                     亲，已经到底了 
                </div>
            );
        }
        else if(loadingState == -1){
            return (
                <div className='loading-none'>
                    <img className='icon' src={util.img.get('//gw.alicdn.com/tps/TB1CM17LFXXXXbfXVXXXXXXXXXX-156-167.png' , 220)} />
                    <div className='info'>{this.config.noneText}</div>
                </div>
            );
        }
        else{
            return (<div />);
        }
    },
    render(){
        let self = this;
        return (
            <div>
                {
                    (this.config.tabList && this.config.tabList.length > 0)
                    ?
                    <Tab tabList={this.config.tabList} changeTab={this.changeTab} />
                    :
                    <div />

                }
                <div className='List'>
                    {
                        this.state.list.map(function(item){
                            return (self.config.renderItem(item));
                        })
                    }
                    {
                        this.renderLoading(this.state.loadingState)
                    }
                </div>
            </div>
        )
    }
});
module.exports = component;

