import './Tab.less';
import '@ali/lib-sticky';
import util from "../../utils/util.js";
import tabList from "./Tab.mock.js";
let component = React.createClass({
    displayName: 'Tab',
    changeTab(index , item){
        this.setState({
            tabIndex : index
        });
        this.props.changeTab(item);
    },
    config : {

    },
    getInitialState(){
        return {
            tabList : this.props.tabList || [], 
            tabIndex : this.props.tabIndex || 0
        };
    },
    componentDidMount(){
        //this.config = util.tool.extend(this.config , this.props.config);
        setTimeout(function(){
            new lib.sticky({
                element : '.tab' ,
                top : 0
            });
            FastClick.attach($('.tab')[0]);
        },500)
    },
    componentDidUpdate(){
    },
    componentWillUpdate(){
    },
    componentWillUnmount(){
    },
    render(){
        let self = this;
        let tabList = this.props.tabList;
        let tabIndex = this.state.tabIndex;
        if(!tabList){
            return (<div />)
        }

        let [  w , l , bodyWidth] = [  0 , 0  , document.body.clientWidth];
        
        w = bodyWidth / tabList.length  ;
        l = tabIndex * bodyWidth / tabList.length ;
        //console.log(tabList);
        return (
            <div className='tab'>
                <ul>
                    {
                        tabList.map(function(v , i){
                            return (<li key={i} className={tabIndex == i+1 ? 'active' : ''} style={{width : (100/tabList.length) + '%'}}  onClick={self.changeTab.bind(null , i ,v)}>

                                {
                                    v.icon 
                                    ? 
                                    <span className='icon' style={{'backgroundImage' : 'url('+v.icon+')'}}>{v.name}</span>
                                    :
                                    <span>{v.name}</span>
                                }

                                
                                
                            </li>)
                        })
                    }
                </ul>
                <div className="bottom-line" style={{width : w + 'px' , WebkitTransform : 'translate3d(' + l + 'px, 0px, 0px)'}}></div>
            </div>
        )
    }
});
module.exports = component;



